Package Details: ddrescue-gui 2.1.1-3

Git Clone URL: https://aur.archlinux.org/ddrescue-gui.git (read-only, click to copy)
Package Base: ddrescue-gui
Description: A simple GUI frontend to make ddrescue (a command-line data recovery tool) easier to use.
Upstream URL: https://www.hamishmb.com/html/ddrescue-gui.php
Keywords: parted
Licenses: GPL3
Provides: ddrescue-gui
Submitter: knedlyk
Maintainer: knedlyk
Last Packager: knedlyk
Votes: 27
Popularity: 0.119188
First Submitted: 2015-08-29 20:54 (UTC)
Last Updated: 2022-07-27 07:20 (UTC)

Latest Comments

1 2 3 Next › Last »

knedlyk commented on 2021-02-16 18:28 (UTC)

Updated, python2 -> python3.

sirl1on commented on 2021-02-14 08:53 (UTC)

ddrescue-gui seems to use python3 now. python-getdevinfo & python-wxpython have to be installed and probably should be package dependencies

hcjl commented on 2020-10-31 22:44 (UTC)

Thx for the immediate update! ;-)

knedlyk commented on 2020-10-31 22:05 (UTC)

Version 2.1.1 is out. Updated.

knedlyk commented on 2019-03-07 19:20 (UTC)

Thanks for the tip. Updated.

ValHue commented on 2019-03-07 17:00 (UTC) (edited on 2019-03-07 17:17 (UTC) by ValHue)

you need to update /usr/share/ddrescue-gui/DDRescue_GUI.py

the line

#!/usr/bin/env python22

should be

#!/usr/bin/env python2

the lines of the PKGBUILD

sed -i -e "s/\!\/usr\/bin\/env\ python/\!\/usr\/bin\/env\ python2/" *.py
sed -i -e "s/\!\/usr\/bin\/env\ python/\!\/usr\/bin\/env\ python2/" */*.py

are no longer necessary, it comes correctly from the source file, otherwise it adds another 2 to the end of python2, converting it into python22, which does not exist.

Thank you

knedlyk commented on 2018-09-15 09:41 (UTC) (edited on 2018-09-15 09:42 (UTC) by knedlyk)

@simona You have all rights to do it yourself :-) Good luck: https://launchpad.net/getdevinfo . I can't do it right now.

simona commented on 2018-09-15 09:22 (UTC)

:: Not provided: python2-getdevinfo but needed by ddrescue-gui-2.0.0-1

knedlyk commented on 2018-04-24 19:19 (UTC)

1.7.2 version

knedlyk commented on 2017-05-29 07:20 (UTC)

Guys, please don't spam the chat. Those files were left by the previous installation. You can either remove them manually or just use --force option like this: pacman -S --force ddrescue-gui